summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-23 21:21:34 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-24 08:59:49 +0100
commit84c2304885a8a91702b657dbd82831ba6eb168e5 (patch)
tree29f8e0deeb8594a988f2027a9dc362415b517fab /source
parent729618f2a60f89159b636b5521a2dea48220bde9 (diff)
downloadcurrent-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.gz
current-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.xz
Wed Dec 23 21:21:34 UTC 202020201223212134
a/lilo-24.2-x86_64-10.txz: Rebuilt. Add -fcommon to fix build with gcc10. liloconfig: Don't warn about UMSDOS which is long obsolete. Detect QEMU and use /dev/vda as the boot device in that case. Fix a case where /mnt was used instead of the target partition variable. Thanks to alienBOB. a/mkinitrd-1.4.11-x86_64-16.txz: Rebuilt. Blacklist rules.d/73-seat-late.rules. Thanks to Robby Workman. a/ndctl-71.1-x86_64-1.txz: Upgraded. a/sysklogd-2.1.2-x86_64-3.txz: Rebuilt. /etc/logrotate.d/syslog.new: add missingok option. Thanks to sovteq. l/gdbm-1.19-x86_64-1.txz: Upgraded. t/fig2dev-3.2.8-x86_64-1.txz: Upgraded. x/libepoxy-1.5.5-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/lilo/lilo.SlackBuild5
-rw-r--r--source/a/lilo/lilo.gcc10.diff11
-rw-r--r--source/a/lilo/liloconfig27
-rw-r--r--source/a/mkinitrd/mkinitrd1
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild2
-rw-r--r--source/a/sysklogd/config/syslog.logrotate1
-rwxr-xr-xsource/a/sysklogd/sysklogd.SlackBuild2
-rwxr-xr-xsource/l/gdbm/gdbm.SlackBuild2
-rwxr-xr-xsource/x/libepoxy/libepoxy.SlackBuild37
-rw-r--r--source/x/libepoxy/libepoxy.url2
10 files changed, 51 insertions, 39 deletions
diff --git a/source/a/lilo/lilo.SlackBuild b/source/a/lilo/lilo.SlackBuild
index fec935540..aa221a071 100755
--- a/source/a/lilo/lilo.SlackBuild
+++ b/source/a/lilo/lilo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lilo
VERSION=${VERSION:-24.2}
-BUILD=${BUILD:-9}
+BUILD=${BUILD:-10}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -59,6 +59,7 @@ chown -R root:root .
zcat $CWD/lilo.ignore.usable.memory.above.4G.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/lilo.allow.colons.in.by-id.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/lilo.nvme.support.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/lilo.gcc10.diff.gz | patch -p1 --verbose || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/a/lilo/lilo.gcc10.diff b/source/a/lilo/lilo.gcc10.diff
new file mode 100644
index 000000000..a94c7ebc0
--- /dev/null
+++ b/source/a/lilo/lilo.gcc10.diff
@@ -0,0 +1,11 @@
+--- ./src/Makefile.orig 2015-11-21 17:50:25.000000000 -0600
++++ ./src/Makefile 2020-12-23 15:08:08.067692842 -0600
+@@ -22,7 +22,7 @@
+ NASM=nasm
+ G=`cat foo1 foo2 | grep version | cut -d " " -f 3`
+
+-CFLAGS=$(OPT) -Wall $(PCONFIG)
++CFLAGS=$(OPT) -Wall $(PCONFIG) -fcommon
+ LIBS=$(DEVMAPPER)
+
+ OBJS=lilo.o raid.o map.o geometry.o boot.o device.o common.o bsect.o cfg.o \
diff --git a/source/a/lilo/liloconfig b/source/a/lilo/liloconfig
index 2129c6e1a..2146f7a7e 100644
--- a/source/a/lilo/liloconfig
+++ b/source/a/lilo/liloconfig
@@ -678,20 +678,6 @@ else
exit 99 # no kernel? guess you couldn't read. bye bye.
fi
- # If we're installing from the umsdos.gz rootdisk, suggest skipping LILO:
- if [ ! "$T_PX" = "/" ]; then
- if mount | grep " on /mnt " | grep umsdos 1> /dev/null 2> /dev/null ; then
- dialog --title "SKIP LILO CONFIGURATION? (RECOMMENDED)" --yesno "Since \
-you are installing to a FAT partition, it's suggested that you do not \
-configure LILO at this time. (Instead, use your bootdisk. For booting \
-off the hard drive from MS-DOS, you can use Loadlin. You'll find \
-Loadlin on your hard drive in \LINUX\ROOT) Skip LILO configuration \
-(highly recommended)?" 10 70
- if [ $? = 0 ]; then
- exit
- fi
- fi
- fi
# OK, now let's see if we should automate things:
dialog --title "INSTALL LILO" --menu "LILO (Linux Loader) is a generic \
boot loader. There's a simple installation which tries to automatically \
@@ -796,6 +782,12 @@ selection. Please pick a target location:" 15 65 3 \
MBR_TARGET=/dev/hdg
echo $MBR_TARGET > $TMP/LILOMBR
fi
+ if dmidecode 2> /dev/null | grep -q QEMU 2> /dev/null ; then
+ if [ -r /dev/vda ]; then
+ MBR_TARGET=/dev/vda
+ echo $MBR_TARGET > $TMP/LILOMBR
+ fi
+ fi
fi
done
LILO_TARGET=$(cat $TMP/LILOMBR)
@@ -880,6 +872,9 @@ EOF
echo "# Append any additional kernel parameters:" >> $TMP/lilo.conf
echo "append=\"$APPEND $UTFVT\"" >> $TMP/lilo.conf
#fi
+ if echo $LILO_TARGET | grep -q vda 2>/dev/null ; then
+ echo "disk = /dev/vda bios=0x80 max-partitions=7" >> $TMP/lilo.conf
+ fi
cat << EOF >> $TMP/lilo.conf
$PROMPT
$TIMEOUT
@@ -1154,8 +1149,8 @@ configuration file, it could not be found. Try making a new one." 9 70
if [ -r $TMP/lilo.conf ]; then
dialog --title "YOUR NEW /etc/lilo.conf" --textbox "$TMP/lilo.conf" 22 70
else
- if [ -r /mnt/etc/lilo.conf ]; then
- dialog --title "YOUR OLD /etc/lilo.conf" --textbox "/mnt/etc/lilo.conf" 22 70
+ if [ -r $T_PX/etc/lilo.conf ]; then
+ dialog --title "YOUR OLD /etc/lilo.conf" --textbox "$T_PX/etc/lilo.conf" 22 70
elif [ "$T_PX" = "/" -a -r /etc/lilo.conf ]; then
dialog --title "YOUR OLD /etc/lilo.conf" --textbox "/etc/lilo.conf" 22 70
else
diff --git a/source/a/mkinitrd/mkinitrd b/source/a/mkinitrd/mkinitrd
index 7f921e3bd..18a6d9e82 100644
--- a/source/a/mkinitrd/mkinitrd
+++ b/source/a/mkinitrd/mkinitrd
@@ -70,6 +70,7 @@ LIBUDEV_BLACKLIST="\
check-ptp-camera \
udev-configure-printer \
rules.d/60-openobex.rules \
+ rules.d/73-seat-late.rules \
rules.d/85-regulatory.rules \
"
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 879e64c01..f4a63f13c 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.30.1
-BUILD=${BUILD:-15}
+BUILD=${BUILD:-16}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/sysklogd/config/syslog.logrotate b/source/a/sysklogd/config/syslog.logrotate
index 031e68df0..cd66c8d04 100644
--- a/source/a/sysklogd/config/syslog.logrotate
+++ b/source/a/sysklogd/config/syslog.logrotate
@@ -1,5 +1,6 @@
/var/log/cron /var/log/debug /var/log/maillog /var/log/messages /var/log/secure /var/log/spooler /var/log/syslog {
sharedscripts
+ missingok
postrotate
/bin/kill -HUP `cat /var/run/syslogd.pid 2>/dev/null` 2>/dev/null || true
endscript
diff --git a/source/a/sysklogd/sysklogd.SlackBuild b/source/a/sysklogd/sysklogd.SlackBuild
index 00448503e..fa5efe09e 100755
--- a/source/a/sysklogd/sysklogd.SlackBuild
+++ b/source/a/sysklogd/sysklogd.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sysklogd
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/gdbm/gdbm.SlackBuild b/source/l/gdbm/gdbm.SlackBuild
index adf0358f5..8c78f0e0c 100755
--- a/source/l/gdbm/gdbm.SlackBuild
+++ b/source/l/gdbm/gdbm.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gdbm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/x/libepoxy/libepoxy.SlackBuild b/source/x/libepoxy/libepoxy.SlackBuild
index 0792512af..e364abcc9 100755
--- a/source/x/libepoxy/libepoxy.SlackBuild
+++ b/source/x/libepoxy/libepoxy.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libepoxy
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -79,25 +79,28 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-./autogen.sh
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$ARCH-slackware-linux \
- --disable-static || exit 1
-
-make -j $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# .la files are (hopefully) obsolete... but it seems to vary case by case
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dtests=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/x/libepoxy/libepoxy.url b/source/x/libepoxy/libepoxy.url
index c354027c8..08b7d7be4 100644
--- a/source/x/libepoxy/libepoxy.url
+++ b/source/x/libepoxy/libepoxy.url
@@ -1 +1 @@
-https://github.com/anholt/libepoxy/releases/download/1.5.4/libepoxy-1.5.4.tar.xz
+https://github.com/anholt/libepoxy/releases/download/1.5.5/libepoxy-1.5.5.tar.xz